package cn.iocoder.yudao.module.ocr.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * OCR 厂商枚举
 */
@Getter
@AllArgsConstructor
public enum OcrProviderEnum {

    BAIDU("baidu", "百度 OCR"),
    TENCENT("tencent", "腾讯 OCR"),
    ALIYUN("aliyun", "阿里云 OCR"),
    ;

    /**
     * 厂商编码
     */
    private final String code;

    /**
     * 厂商名称
     */
    private final String name;

}
